Subject: Re: [bug#42899] [PATCH v6 0/3] services: dovecot: Add pigeonhole support
From: Christopher Baines <[email-masked]>
To: Alexey Abramov <[email-masked]>
Cc: [email-masked], Rodion Goritskov <[email-masked]>
Date: Tue, 25 Feb 2025 11:35:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Alexey Abramov via Guix-patches via <[email-masked]> writes:

> Hi everyone,
>
> It is been a while.. I add some changes to the previous series.
>
> - I changed the location of modules to /usr/lib/dovecot instead of
>   /etc/dovecot. Don't know why). /usr/lib/dovecot seems natural to me.
> - I renamed `%dovecot-moduledir' to make-dovecot-moduledir, and now use
>   union-build to create the union of modules.
> - %dovecot-activation uses switch-symlinks now.
> - I changed the tests a little bit, so that email will go through a simple
>   sieve script.
>
> Alexey Abramov (3):
>   gnu: dovecot: Set moduledir to global directory.
>   services: dovecot: Provide plugins through a /gnu/store directory.
>   tests: dovecot: Add sieve.
>
>  doc/guix.texi         | 19 ++++++++++++
>  gnu/packages/mail.scm |  8 ++++--
>  gnu/services/mail.scm | 44 ++++++++++++++++++++++++++--
>  gnu/tests/mail.scm    | 67 +++++++++++++++++++++++++++++++++++++++----
>  4 files changed, 129 insertions(+), 9 deletions(-)

Thanks all, I've pushed these patches to master as
c9d9eab868f155ea4f49199b7cf9ad13002bfc86.

Chris